For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
DocsReferenceChangelog
DocsReferenceChangelog
  • Introduction
    • Overview
    • Errors
  • SDK
    • Overview
    • Decorators
    • Run Evaluation
  • API
      • GETList Evaluations
      • POSTCreate Evaluation
      • POSTAdd Evaluators
      • DELRemove Evaluator
      • GETGet Evaluation
      • DELDelete Evaluation
      • GETList Runs for Evaluation
      • POSTCreate Run
      • POSTAdd Existing Run
      • DELRemove Run
      • PATCHUpdate Evaluation Run
      • POSTAdd Logs to Run
      • GETGet Evaluation Stats
      • GETGet Logs for Evaluation
LogoLogo
Sign inBook a demo
APIEvaluations

Get Evaluation

GET
https://api.humanloop.com/v5/evaluations/:id
GET
/v5/evaluations/:id
$curl https://api.humanloop.com/v5/evaluations/ev_567yza \
> -H "X-API-KEY: <apiKey>"
1{
2 "id": "ev_567yza",
3 "runs_count": 1,
4 "evaluators": [
5 {
6 "version": {
7 "path": "Shared Evaluators/Accuracy Evaluator",
8 "id": "ev_890bcd",
9 "spec": {
10 "arguments_type": "target_required",
11 "return_type": "number",
12 "evaluator_type": "python",
13 "code": "def evaluate(answer, target):\n return 0.5"
14 },
15 "name": "Accuracy Evaluator",
16 "version_id": "evv_012def",
17 "created_at": "2024-05-01T12:00:00Z",
18 "updated_at": "2024-05-01T12:00:00Z",
19 "last_used_at": "2024-05-01T12:00:00Z",
20 "version_logs_count": 1,
21 "total_logs_count": 1,
22 "inputs": [
23 {
24 "name": "answer"
25 }
26 ],
27 "type": "evaluator"
28 },
29 "orchestrated": false,
30 "added_at": "2024-10-12T12:00:00Z"
31 }
32 ],
33 "created_at": "2024-05-01T12:00:00Z",
34 "updated_at": "2024-05-01T12:00:00Z"
35}

Get an Evaluation.

This includes the Evaluators associated with the Evaluation and metadata about the Evaluation, such as its name.

To get the Runs associated with the Evaluation, use the GET /evaluations/{id}/runs endpoint. To retrieve stats for the Evaluation, use the GET /evaluations/{id}/stats endpoint.

Was this page helpful?
Previous

Delete Evaluation

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Unique identifier for Evaluation.

Response

Successful Response
idstring

Unique identifier for the Evaluation. Starts with evr.

runs_countinteger
The total number of Runs in the Evaluation.
evaluatorslist of objects
The Evaluator Versions used to evaluate.
created_atdatetime
updated_atdatetime
namestring
Name of the Evaluation to help identify it. Must be unique among Evaluations associated with File.
file_idstring
Unique identifier for the File associated with the Evaluation.
created_byany
urlstring
URL to view the Evaluation on the Humanloop.

Errors

422
Get Evaluations ID Get Request Unprocessable Entity Error